Subject: [tsvwg] A question about packet loss when multiplexing

From: "Jose Saldana" <[email-masked]>
Date: Tue, 28 Jul 2015 17:37:53 +0200

Hi, Gorry,
 
Last Wednesday in Prague you asked me about the of effect packet loss of
compressed tunnel packets, and if this is stressed in wireless scenarios.
 
There are some things to be considered here:
 
1- If you use header compression, a lost packet may be translated into a
burst of wrong packets, because you may lose the ROHC context. You can use
ROHC bidirectional to minimize the effect of this.
 
2- If you lose a multiplexed packet, you lose a number of packets. But the
packet loss probability may be the same overall. For example:
You send 1000 pps with a 1% packet loss. So you lose 10 pps.
If you multiplex in groups of 10 packets, then you only send 100 pps. So you
will only lose 1 pps, but that packet will have 10 small packets inside.
 
3- But (2) may not be entirely true if you are in a wireless scenario, where
packet loss probability may grow with packet size.
 
In the Bar-BoF on Thursday we also talked about the potential utility of
multiplexing in satellite scenarios. What do you think?

BR,
 
Jose